## Struct template has_requirement

boost::log::sinks::has_requirement

## Synopsis

    // In header: <boost/log/sinks/frontend_requirements.hpp>

    template<typename TestedT, typename RequiredT>
    struct has_requirement : public is_base_of< RequiredT, TestedT > {
    };

## Description

A helper metafunction to check if a requirement is satisfied. The `TestedT` template argument should be the type combining one or several requirements and `RequiredT` is the requirement to test against. The metafunction will yield a positive result if `TestedT` supports `RequiredT`.